
textures/jb3dm9/jb_light4
{
	q3map_lightimage textures/jb3dm9/jb_light.tga
	qer_editorimage textures/jb3dm9/jb_light.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/jb3dm9/jb_light.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}
textures/jb3dm9/jb2_floor1
{
	surfaceparm	metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb2_floor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}
textures/jb3dm9/jb_runway
{
	q3map_lightimage textures/jb3dm9/jb_runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map textures/jb3dm9/jb_runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}	

	{
		map textures/jb3dm9/jb_runway.tga
		blendFunc blend
		rgbGen identity
	}
        
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}

	{
		map textures/jb3dm9/jb_runwayb.tga
		blendFunc add
		rgbGen identity
	}

	
}
textures/jb3dm9/jb_steel
{
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm9/jb_steel.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}

textures/jb3dm9/jb_light3
{
	q3map_lightimage textures/jb3dm9/jb_light.tga
	qer_editorimage textures/jb3dm9/jb_light.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/jb3dm9/jb_light.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}
textures/jb3dm9/jb_scroll3
{
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/jb3dm9/jb_scroll3.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 0.5
	}	
        {
		Map textures/jb3dm9/jb_scroll3.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 0.5
	}       
       
}
textures/jb3dm9/jb_flag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 100 sin 0 1 0 .1
     deformVertexes wave 100 sin 0 1 0 .2
     
        {
                map textures/jb3dm9/jb_flag.tga
                alphaFunc GE128
		rgbGen identity
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}




textures/jb3dm9/jb_lava
{

	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/jb3dm9/jb_lava.tga
		tcMod turb 0 .2 0 .1
	}


	
}




textures/jb3dm9/jb_glass
{
surfaceparm trans
surfaceparm nolightmap
qer_editorimage textures/effects/tinfx.tga
qer_trans 0.6
{
map textures/effects/tinfx2.tga
blendFunc add
tcGen environment
}
}
textures/jb3dm9/jb_grate
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	//surfaceparm trans		
	cull none
	nopicmip

	{
		map textures/jb3dm9/jb_grate.tga
		tcMod scale 4. 4.
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/jb3dm9/jb_stone
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm9/jb_stone.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}		
}
textures/jb3dm9/jb_light2
{
	q3map_lightimage textures/jb3dm9/jb_light.tga
	qer_editorimage textures/jb3dm9/jb_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/jb3dm9/jb_light.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}



textures/jb3dm9/jb_light
{
	q3map_lightimage textures/jb3dm9/jb_light.tga
	qer_editorimage textures/jb3dm9/jb_light.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/jb3dm9/jb_light.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}
textures/jb3dm9/jb_scroll
{
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/jb3dm9/jb_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/jb3dm9/jb_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}       
       
}



textures/jb3dm9/jb_scroll4
{
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/jb3dm9/jb_scroll4.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/jb3dm9/jb_scroll4.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}       
        {
		Map textures/jb3dm9/jb_scroll5.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 4 1
	}	
        {
		Map textures/jb3dm9/jb_scroll5.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -2.3 1
	}
}





textures/jb3dm9/jb_scroll1
{
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/jb3dm9/jb_scroll1.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/jb3dm9/jb_scroll1.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		Map textures/jb3dm9/jb_scroll3.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 4 1
	}	
        {
		Map textures/jb3dm9/jb_scroll3.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -2.3 1
	}	


}




textures/jb3dm9/jb_portal
{
	qer_editorimage textures/jb3dm9/jb_sfx.tga
	q3map_lightimage textures/jb3dm9/jb_sfx.tga
	q3map_surfacelight 500
	surfaceparm nolightmap
	surfaceparm nonsolid
	deformVertexes wave 32 sin 0 2 0 1.0
	{

		map textures/jb3dm9/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 0.5
//		tcMod scroll 0.2 0.2
		rgbGen identity
	}
	{

		map textures/jb3dm9/jb_sfx.tga
		blendfunc gl_one gl_one
//		tcmod turb sin 0 .8 1 3
		tcMod stretch sin 1.2 .4 1 0.5
	}
	{
		map textures/jb3dm9/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod rotate -360
		tcMod stretch sin 1.2 .4 1 1.5
	}
	{
		map textures/jb3dm9/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod rotate 360
		tcMod stretch sin 1.2 .4 0 1.5
	}	
        {
		Map textures/jb3dm9/jb_scroll7.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 4 1
	}	
        {
		Map textures/jb3dm9/jb_scroll7.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -2.3 1
	}	
}




textures/jb3dm9/jb_lava2
{

	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/jb3dm9/jb_lava2.tga
		tcMod turb 0 .2 0 .1
	}


	
}
textures/jb3dm9/jb_bounce2
{

	surfaceparm nodamage
	q3map_lightimage textures/jb3dm9/jb_jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/jb3dm9/jb_bounce2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/jb3dm9/jb_bouncepad1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jb3dm9/jb_jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}
textures/jb3dm9/jb_trim_01
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/jb3dm9/jb_trim_01.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/jb3dm9/jb_floor2
{
	surfaceparm	metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_floor2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}
textures/jb3dm9/jb2_metal
{
	surfaceparm	metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb2_metal.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}


textures/jb3dm9/jb2_metal1
{
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm9/jb2_metal1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}
textures/jb3dm9/jb_stone2
{
	qer_editorimage textures/jb3dm9/jb_stone2.tga
	{
        	map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm9/jb_stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave noise 0.75 0.25 0 10
	}
}
